import type { VNode } from "vue";
export declare const IonApp: import("vue").DefineSetupFnComponent<Record<string, any>, {}, {}, Record<string, any> & {}, import("vue").PublicProps>;
/**
 * When rendering user components inside of
 * ion-modal, or ion-popover the component
 * needs to be created inside of the current application
 * context otherwise libraries such as vue-i18n or vuex
 * will not work properly.
 *
 * `userComponents` renders teleported components as children
 * of `ion-app` within the current application context.
 */
export declare const addTeleportedUserComponent: (component: VNode) => void;
export declare const removeTeleportedUserComponent: (component: VNode) => void;
